aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-11-30 16:54:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-12-03 14:39:34 +0000
commit48c0dff919bbe18a9fe61736b217cde0b253da02 (patch)
tree3a71586babb7c15d4dacfc98e87ff9e95eb046aa
parent082ca513e7d3fd6e9463d164977027c77b4518b3 (diff)
downloadaports-48c0dff919bbe18a9fe61736b217cde0b253da02.tar.gz
aports-48c0dff919bbe18a9fe61736b217cde0b253da02.tar.bz2
aports-48c0dff919bbe18a9fe61736b217cde0b253da02.tar.xz
main/bkeymaps: split functions
-rw-r--r--main/bkeymaps/APKBUILD15
1 files changed, 12 insertions, 3 deletions
diff --git a/main/bkeymaps/APKBUILD b/main/bkeymaps/APKBUILD
index a33b8d9bb8..88b2375050 100644
--- a/main/bkeymaps/APKBUILD
+++ b/main/bkeymaps/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=bkeymaps
pkgver=1.13
-pkgrel=2
+pkgrel=3
pkgdesc="Binary keymaps for busybox"
url="http://dev.alpinelinux.org/bkeymaps"
arch="noarch"
@@ -9,8 +9,17 @@ license="GPL"
depends="busybox"
source="http://dev.alpinelinux.org/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir/$pkgname-$pkgver"
build() {
- cd "$srcdir"/$pkgname-$pkgver
- make DESTDIR="$pkgdir" install
+ cd "$_builddir"
+ return 0
}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
md5sums="a68058ab4a81cf9a8dcbaaa7a5df5b11 bkeymaps-1.13.tar.gz"
+sha256sums="59d41ddb0c7a92d8ac155a82ed2875b7880c8957ea4308afa633c8b81e5b8887 bkeymaps-1.13.tar.gz"
+sha512sums="abea2576d3b9c4144275e446a6bf67491b0fc7d8e4605f43dba30a8192203d195becd0f3e38ed37987a919d1609e03d966b714a6568985958ba2fddc862c51bf bkeymaps-1.13.tar.gz"